Subject: Re: [bug#74874] [PATCH] gnu: reuse: Update to 5.0.2.
From: Maxim Cournoyer <[email-masked]>
To: Evgeny Pisemsky <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 Dec 2024 17:44:05 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I happened to come up with an update independently of your work (hadn't
looked first, sorry!); they mostly converge.  I'll share what I've done
a bit differently below:

Evgeny Pisemsky <[email-masked]> writes:

>>From 90dafdbe169674fc02ad392b47dcb47e837ba4db Mon Sep 17 00:00:00 2001
> Message-ID: <[email-masked]>
> From: Evgeny Pisemsky <[email-masked]>
> Date: Sat, 14 Dec 2024 20:25:10 +0300
> Subject: [PATCH] gnu: reuse: Update to 5.0.2.
>
> * gnu/packages/license.scm (reuse): Update to 5.0.2.

The GNU changelog commit message should contains the changes made (see
other commits for examples).

[...]

> @@ -175,13 +176,15 @@ (define-public licensecheck
>  (define-public reuse
>    (package
>      (name "reuse")
> -    (version "3.0.2")
> +    (version "5.0.2")
>      (source
>       (origin
>         (method url-fetch)
>         (uri (pypi-uri "reuse" version))
>         (sha256
> -        (base32 "19ijdwbr47pa0ba30s40b53qb0chyq27akj0484aj9s5p1i85svk"))))
> +        (base32 "0p08xmpf361m81kfmkwzm898q9iaq5v6cvb0sjx1176jbnp1d047"))
> +       ;; Delete test that hangs for some reason.
> +       (snippet '(delete-file "tests/test_cli_spdx.py"))))

I've used #:test-flags #~(list "-k" "not test_simple") instead, and
reported the problem upstream (see:
https://github.com/fsfe/reuse-tool/issues/1119).

>      (build-system pyproject-build-system)
>      (arguments
>       ;; Change directory before running the test suite to avoid having both
> @@ -194,14 +197,17 @@ (define-public reuse
>      (native-inputs
>       (list python-poetry-core
>             python-pytest
> -           python-wheel))
> +           python-pytest-cov

pytest-cov doesn't appear to be required (optional).

> +           python-freezegun))
>      (inputs
>       (list python-binaryornot
>             python-boolean.py
>             python-debian
>             python-jinja2
>             python-license-expression
> -           python-setuptools)) ; For pkg_resources.
> +           python-attrs
> +           python-click
> +           python-tomlkit))
>      (home-page "https://reuse.software/")
>      (synopsis "Provide and verify copyright and licensing information")
>      (description
> @@ -219,7 +225,7 @@ (define-public reuse
>  tools that have a lot more features and functionality surrounding the analysis
>  and inspection of copyright and licenses in software projects.  This one is
>  designed to be simple.")
> -    (license (list asl2.0 gpl3+))))
> +    (license (list asl2.0 cc0 cc-by-sa4.0 gpl3+))))

This is not mentioned in your commit message; but I see this seems
accurate according to
https://github.com/fsfe/reuse-tool/tree/main/LICENSES, so I've kept it.

I've added a Co-authored-by git trailer to your name, along a copyright
line for you, and pushed as 06ca44f70f.

Thank you!

-- 
Maxim